Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyRootDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
          org.codehaus.groovy.tools.groovydoc.SimpleGroovyRootDoc

All Implemented Interfaces:
  Comparable, GroovyTokenTypes, GroovyDoc, GroovyDocErrorReporter, GroovyRootDoc

    public class SimpleGroovyRootDoc

extends SimpleGroovyDoc
implements GroovyRootDoc

Field Summary

Fields inherited from interface org.codehaus.groovy.antlr.parser.GroovyTokenTypes
`ABSTRACT, ANNOTATION, ANNOTATION_ARRAY_INIT, ANNOTATION_DEF, ANNOTATION_FIELD_DEF, ANNOTATION_MEMBER_VALUE_PAIR, ANNOTATIONS, ARRAY_DECLARATOR, ASSIGN, AT, BAND, BAND_ASSIGN, BIG_SUFFIX, BLOCK, BNOT, BOR, BOR_ASSIGN, BSR, BSR_ASSIGN, BXOR, BXOR_ASSIGN, CASE_GROUP, CLASS_DEF, CLOSABLE_BLOCK, CLOSABLE_BLOCK_OP, CLOSURE_LIST, COLON, COMMA, COMPARE_TO, CTOR_CALL, CTOR_IDENT, DEC, DIGIT, DIV, DIV_ASSIGN, DOLLAR, DOT, DYNAMIC_MEMBER, ELIST, ELVIS_OPERATOR, EMPTY_STAT, ENUM_CONSTANT_DEF, ENUM_DEF, EOF, EQUAL, ESC, EXPONENT, EXPR, EXTENDS_CLAUSE, FINAL, FLOAT_SUFFIX, FOR_CONDITION, FOR_EACH_CLAUSE, FOR_IN_ITERABLE, FOR_INIT, FOR_ITERATOR, GE, GT, HEX_DIGIT, IDENT, IMPLEMENTS_CLAUSE, IMPLICIT_PARAMETERS, IMPORT, INC, INDEX_OP, INSTANCE_INIT, INTERFACE_DEF, LABELED_ARG, LABELED_STAT, LAND, LBRACK, LCURLY, LE, LETTER, LIST_CONSTRUCTOR, LITERAL_as, LITERAL_assert, LITERAL_boolean, LITERAL_break, LITERAL_byte, LITERAL_case, LITERAL_catch, LITERAL_char, LITERAL_class, LITERAL_continue, LITERAL_def, LITERAL_default, LITERAL_double, LITERAL_else, LITERAL_enum, LITERAL_extends, LITERAL_false, LITERAL_finally, LITERAL_float, LITERAL_for, LITERAL_if, LITERAL_implements, LITERAL_import, LITERAL_in, LITERAL_instanceof, LITERAL_int, LITERAL_interface, LITERAL_long, LITERAL_native, LITERAL_new, LITERAL_null, LITERAL_package, LITERAL_private, LITERAL_protected, LITERAL_public, LITERAL_return, LITERAL_short, LITERAL_static, LITERAL_super, LITERAL_switch, LITERAL_synchronized, LITERAL_this, LITERAL_threadsafe, LITERAL_throw, LITERAL_throws, LITERAL_transient, LITERAL_true, LITERAL_try, LITERAL_void, LITERAL_volatile, LITERAL_while, LNOT, LOR, LPAREN, LT, MAP_CONSTRUCTOR, MEMBER_POINTER, METHOD_CALL, METHOD_DEF, MINUS, MINUS_ASSIGN, ML_COMMENT, MOD, MOD_ASSIGN, MODIFIERS, NLS, NOT_EQUAL, NULL_TREE_LOOKAHEAD, NUM_BIG_DECIMAL, NUM_BIG_INT, NUM_DOUBLE, NUM_FLOAT, NUM_INT, NUM_LONG, OBJBLOCK, ONE_NL, OPTIONAL_DOT, PACKAGE_DEF, PARAMETER_DEF, PARAMETERS, PLUS, PLUS_ASSIGN, POST_DEC, POST_INC, QUESTION, RANGE_EXCLUSIVE, RANGE_INCLUSIVE, RBRACK, RCURLY, REGEX_FIND, REGEX_MATCH, REGEXP_CTOR_END, REGEXP_LITERAL, REGEXP_SYMBOL, RPAREN, SELECT_SLOT, SEMI, SH_COMMENT, SL, SL_ASSIGN, SL_COMMENT, SLIST, SPREAD_ARG, SPREAD_DOT, SPREAD_MAP_ARG, SR, SR_ASSIGN, STAR, STAR_ASSIGN, STAR_STAR, STAR_STAR_ASSIGN, STATIC_IMPORT, STATIC_INIT, STRICTFP, STRING_CH, STRING_CONSTRUCTOR, STRING_CTOR_END, STRING_CTOR_MIDDLE, STRING_CTOR_START, STRING_LITERAL, STRING_NL, SUPER_CTOR_CALL, TRIPLE_DOT, TYPE, TYPE_ARGUMENT, TYPE_ARGUMENTS, TYPE_LOWER_BOUNDS, TYPE_PARAMETER, TYPE_PARAMETERS, TYPE_UPPER_BOUNDS, TYPECAST, UNARY_MINUS, UNARY_PLUS, UNUSED_CONST, UNUSED_DO, UNUSED_GOTO, VARIABLE_DEF, VARIABLE_PARAMETER_DEF, VOCAB, WILDCARD_TYPE, WS`

Constructor Summary
`SimpleGroovyRootDoc(String name)`

Method Summary
`GroovyClassDoc[]` | `classes()`
`GroovyClassDoc` | `classNamed(String name)`
`String` | `description()`
`Map<String,GroovyClassDoc>` | `getVisibleClasses(List importedClassesAndPackages)`
`String[][]` | `options()`
`GroovyPackageDoc` | `packageNamed(String packageName)`
`void` | `printError(String arg0)`
`void` | `printNotice(String arg0)`
`void` | `printWarning(String arg0)`
`void` | `put(String packageName, GroovyPackageDoc packageDoc)`
`void` | `putAllClasses(Map<String,GroovyClassDoc> classes)`
`void` | `resolve()`
`void` | `setDescription(String description)`
`GroovyClassDoc[]` | `specifiedClasses()`
`GroovyPackageDoc[]` | `specifiedPackages()`

Methods inherited from class org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc
`calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setTokenType, tags, tokenType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.groovydoc.GroovyDoc
`commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### SimpleGroovyRootDoc

    public SimpleGroovyRootDoc(String name)

Method Detail

### classNamed

    public GroovyClassDoc classNamed(String name)

  Specified by:
    `classNamed` in interface `GroovyRootDoc`

### setDescription

    public void setDescription(String description)

### description

    public String description()

### classes

    public GroovyClassDoc[] classes()

  Specified by:
    `classes` in interface `GroovyRootDoc`

### options

    public String[][] options()

  Specified by:
    `options` in interface `GroovyRootDoc`

### packageNamed

    public GroovyPackageDoc packageNamed(String packageName)

  Specified by:
    `packageNamed` in interface `GroovyRootDoc`

### putAllClasses

    public void putAllClasses(Map<String,GroovyClassDoc> classes)

### put

    public void put(String packageName,
                    GroovyPackageDoc packageDoc)

### specifiedClasses

    public GroovyClassDoc[] specifiedClasses()

  Specified by:
    `specifiedClasses` in interface `GroovyRootDoc`

### specifiedPackages

    public GroovyPackageDoc[] specifiedPackages()

  Specified by:
    `specifiedPackages` in interface `GroovyRootDoc`

### getVisibleClasses

    public Map<String,GroovyClassDoc> getVisibleClasses(List importedClassesAndPackages)

  Specified by:
    `getVisibleClasses` in interface `GroovyRootDoc`

### printError

    public void printError(String arg0)

  Specified by:
    `printError` in interface `GroovyDocErrorReporter`

### printNotice

    public void printNotice(String arg0)

  Specified by:
    `printNotice` in interface `GroovyDocErrorReporter`

### printWarning

    public void printWarning(String arg0)

  Specified by:
    `printWarning` in interface `GroovyDocErrorReporter`

### resolve

    public void resolve()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2009 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD